GUIX-DAEMON(1)

NAME
guix-daemon - manual page for guix-daemon 0.12.0

SYNOPSIS
guix-daemon [OPTION...]

DESCRIPTION
guix-daemon -- perform derivation builds and store accesses

--build-users-group=GROUP
    perform builds as a user of GROUP

-c, --cores=N
    use N CPU cores to build each derivation; 0 means as many as available

--cache-failures
    cache build failures

--chroot-directory=DIR add DIR to the build chroot

--debug
    produce debugging output

--disable-chroot
    disable chroot builds

--disable-deduplication
    disable automatic file "deduplication" in the store

--disable-log-compression
    disable compression of the build logs

--gc-keep-derivations[=yes/no]
    tell whether the GC must keep derivations corresponding to live outputs

--gc-keep-outputs[=yes/no]
    tell whether the GC must keep outputs of live derivations

--impersonate-linux-2.6
    impersonate Linux 2.6

--listen=SOCKET
    listen for connections on SOCKET

--lose-logs
    do not keep build logs

-M, --max-jobs=N
    allow at most N build jobs

--no-build-hook
    do not use the 'build hook'

--no-substitutes
    do not use substitutes

--rounds=N
    build each derivation N times in a row

--substitute-urls=URLS use URLS as the default list of substitute
    providers

--system=SYSTEM
    assume SYSTEM as the current system type

-?, --help
    Give this help list

--usage
    Give a short usage message

-V, --version
    Print program version

Mandatory or optional arguments to long options are also mandatory or optional for any corresponding short options.

This program is a daemon meant to run in the background. It serves requests sent over a Unix-domain socket. It accesses the store, and builds derivations on behalf of its clients.

REPORTING BUGS
Report bugs to bug-guix@gnu.org.

SEE ALSO
The full documentation for guix-daemon is maintained as a Texinfo manual. If the info and guix-daemon programs are properly installed at your site, the command

    info guix

should give you access to the complete manual.